Summary: Czech HOWTO
Name: Czech-HOWTO
Version: 1.30a
Release: 1
Source: ftp://ftp.penguin.cz/pub/HOWTO/czech-howto/Czech-HOWTO.sgml
Copyright: Distributable
Group: Documentation
Packager: Milan Kerslager <kerslage@linux.cz>
BuildRoot: /tmp/Czech-HOWTO-root
BuildArch: noarch
BuildPreReq: sgml-tools vlna /usr/bin/cslatex
Url: http://www.penguin.cz/czech-howto/

%description
Document describing Linux localization issues specific to Czech and
Slovak users.

%package txt
Summary: Czech HOWTO (text version)
Group: Documentation

%description txt
Document describing Linux localization issues specific
to Czech and Slovak users. Text version.

%package dvi
Summary: Czech HOWTO (DVI version)
Group: Documentation

%description dvi
Document describing Linux localization issues specific to Czech and
Slovak users. DVI version.

%package ps
Summary: Czech HOWTO (Postscript version)
Group: Documentation

%description ps
Document describing Linux localization issues specific to Czech and
Slovak users. Postscript version.

%package html
Summary: Czech HOWTO (HTML version)
Group: Documentation

%description html
Document describing Linux localization issues specific to Czech and
Slovak users. HTML version.

%prep
test -d Czech-HOWTO && rm -rf Czech-HOWTO
mkdir Czech-HOWTO
cd Czech-HOWTO
cp ${RPM_SOURCE_DIR}/Czech-HOWTO.sgml .

%build
cd Czech-HOWTO
sgml2txt -c latin Czech-HOWTO.sgml
sgml2html --language=czech Czech-HOWTO.sgml
for file in *.html
do
  mv $file $file.old
  sed -e '/<HEAD>/a\
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">' $file.old > $file
  rm $file.old
done
ln -s Czech-HOWTO.html index.html
sgml2latex -p a4 -o tex Czech-HOWTO.sgml
mv Czech-HOWTO.tex Czech-HOWTO.tex.old
sed -e s/^\\\\usepackage\\[latin1\\]{inputenc}/\\\\usepackage{czech}/ \
    -e s/^\\\\usepackage{babel}// \
    -e s/^\\\\usepackage{t1enc}// \
    Czech-HOWTO.tex.old > Czech-HOWTO.tex

vlna -l -n -m Czech-HOWTO.tex
cp -a /usr/lib/sgml-tools/*.sty .
cslatex Czech-HOWTO.tex
cslatex Czech-HOWTO.tex
cslatex Czech-HOWTO.tex
dvips -o Czech-HOWTO.ps Czech-HOWTO.dvi


%files txt
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.txt

%files dvi
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.dvi

%files ps
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.ps

%files html
%defattr(0644,root,root,0755)
%doc Czech-HOWTO/Czech-HOWTO.html
%doc Czech-HOWTO/Czech-HOWTO-*.html
%doc Czech-HOWTO/index.html
